MatrixSetSizeCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetSizeCommand:

## Public Member Functions

| MatrixSetSizeCommand (MatrixModel *model, const QSize &oldSize, const QSize &newSize, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixSetSizeCommand ()

## Protected Attributes

double * | d_backup
MatrixModel * | d_model
QSize | d_new_size
QSize | d_old_size

## Constructor & Destructor Documentation

## MatrixSetSizeCommand()

MatrixSetSizeCommand::MatrixSetSizeCommand | ( | MatrixModel * | model,
|  | const QSize & | oldSize,
|  | const QSize & | newSize,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## ~MatrixSetSizeCommand()

MatrixSetSizeCommand::~MatrixSetSizeCommand | ( |  | ) |

inline

References MatrixEditCellCommand::redo(), and MatrixEditCellCommand::undo().

## Member Function Documentation

## redo()

void MatrixSetSizeCommand::redo | ( |  | ) |

virtual

Reimplemented in MatrixResampleCommand.

References d_model, d_new_size, MatrixModel::matrix(), Matrix::resetView(), and MatrixModel::setDimensions().

## undo()

void MatrixSetSizeCommand::undo | ( |  | ) |

virtual

References d_backup, d_model, d_old_size, MatrixModel::dataVector(), MatrixModel::matrix(), Matrix::resetView(), and MatrixModel::setDimensions().

## Member Data Documentation

## d_backup

double* MatrixSetSizeCommand::d_backup

protected

Referenced by undo().

## d_model

MatrixModel* MatrixSetSizeCommand::d_model

protected

Referenced by redo(), MatrixResampleCommand::redo(), and undo().

## d_new_size

QSize MatrixSetSizeCommand::d_new_size

protected

Referenced by redo(), and MatrixResampleCommand::redo().

## d_old_size

QSize MatrixSetSizeCommand::d_old_size

protected

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp